## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate color-eyre

Name:           rust-color-eyre
Version:        0.6.5
Release:        %autorelease
Summary:        Error report handler for panics and eyre::Reports

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/color-eyre
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          color-eyre-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * bump ansi-parser dev-dependency from 0.8 to 0.9
Patch:          color-eyre-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An error report handler for panics and eyre::Reports for colorful,
consistent, and well formatted error reports for all kinds of errors.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/
%exclude %{crate_instdir}/scripts/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+capture-spantrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+capture-spantrace-devel %{_description}

This package contains library source intended for building other packages which
use the "capture-spantrace" feature of the "%{crate}" crate.

%files       -n %{name}+capture-spantrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-spantrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-spantrace-devel %{_description}

This package contains library source intended for building other packages which
use the "color-spantrace" feature of the "%{crate}" crate.

%files       -n %{name}+color-spantrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+issue-url-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+issue-url-devel %{_description}

This package contains library source intended for building other packages which
use the "issue-url" feature of the "%{crate}" crate.

%files       -n %{name}+issue-url-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tracing-error-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tracing-error-devel %{_description}

This package contains library source intended for building other packages which
use the "tracing-error" feature of the "%{crate}" crate.

%files       -n %{name}+tracing-error-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+track-caller-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+track-caller-devel %{_description}

This package contains library source intended for building other packages which
use the "track-caller" feature of the "%{crate}" crate.

%files       -n %{name}+track-caller-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+url-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+url-devel %{_description}

This package contains library source intended for building other packages which
use the "url" feature of the "%{crate}" crate.

%files       -n %{name}+url-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# drop brittle tests that fail due to minor formatting differences
rm tests/theme.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat May 31 2025 Fabio Valentini <decathorpe@gmail.com> - 0.6.5-1
- Update to version 0.6.5; Fixes RHBZ#2363850

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.3-2
- Exclude scripts from packaged files (prevents python3.8 dependency)

* Fri Sep 20 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.3-1
- Initial import (#2310719)
## END: Generated by rpmautospec
